com.amarula.barcodescanner.sdk

## Class BarcodeScanner

- java.lang.Object
- - com.amarula.barcodescanner.sdk.BarcodeScanner

-     public class BarcodeScanner
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BARCODESCANNER_ACTION` Action to use to bind to BarcodeScanner service
    `static java.lang.String` | `BARCODESCANNER_CACHE_STATE_CATEGORY` Category which tells the BarcodeScanner service to start in caching mode
    `static java.lang.String` | `DECODE_RESULTS_ACTION` Action fired when a barcode is scanned
    `static java.lang.String` | `DECODE_RESULTS_PERMISSION` Permission to hold to be able to receive barcode results
    `static java.lang.String` | `DIRECT_INPUT` Action to use to start Direct input service (use startService() with this)
    `static java.lang.String` | `KEY_BARCODE_BITMAP` If chosen to get the barcode bitmap, you can get it using with this keyword.
    `static java.lang.String` | `KEY_SET_DIRECTINPUT_APPEND_ENTER_TO_TAGS` Use this key to force the status of "Append ENTER to tags" (boolean)
    `static java.lang.String` | `KEY_SET_DIRECTINPUT_APPEND_TAB_TO_TAGS` Use this key to force the status of "Send TAB keyevent" (boolean)
    `static java.lang.String` | `KEY_SET_DIRECTINPUT_BEEP_ON_SCAN` Use this key to force the status of "Beep on Scan" (boolean)
    `static java.lang.String` | `KEY_SET_DIRECTINPUT_CENTERBTN_AS_SCANTRIG` Use this key to force the status of "Center Button as Scan trigger" (boolean)
    `static java.lang.String` | `KEY_SET_DIRECTINPUT_ENABLED` Use this key to force the status of DirectInput service (boolean)
    `static java.lang.String` | `KEY_SET_DIRECTINPUT_SCAN_MULTIPLE` Use this key to force the status of "Scan multiple barcodes" (boolean)
    `static java.lang.String` | `KEY_SET_DIRECTINPUT_SCREEN_ON_WARM_SCANNER` Use this key to force the status of "Screen On warm scanner" (boolean)
    `static java.lang.String` | `KEY_SET_DIRECTINPUT_TAG_PREFIX` Use this key to force the Tag prefix String (String)
    `static java.lang.String` | `KEY_SET_DIRECTINPUT_TAG_SUFFIX` Use this key to force the Tag suffix String (String)
    `static java.lang.String` | `KEY_SET_DIRECTINPUT_VIBRATE_ON_SCAN` Use this key to force the status of "Vibrate on Scan" (boolean)
    `static int` | `KEYCODE_SCAN`
    `static int` | `STATUS_PREPARED` The hardware is prepared and running
    `static int` | `STATUS_SCANNING_MULTI` The decoding chain is started but the first scan do not stop the scanner
    `static int` | `STATUS_SCANNING_SINGLE` The decoding chain is started to scan a single barcode
    `static int` | `STATUS_UNPREPARED` The hardware is not prepared
    `static int` | `VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BarcodeScanner()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `directInputForceStatus(Context ctx, boolean enabled)` Convenience method to Enable/Disable DirectInput functionality

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static final int VERSION

      See Also:
        Constant Field Values

    - #### KEYCODE_SCAN

          public static final int KEYCODE_SCAN

      See Also:
        Constant Field Values

    - #### BARCODESCANNER_ACTION

          public static final java.lang.String BARCODESCANNER_ACTION

      Action to use to bind to BarcodeScanner service
      See Also:
        Constant Field Values

    - #### BARCODESCANNER_CACHE_STATE_CATEGORY

          public static final java.lang.String BARCODESCANNER_CACHE_STATE_CATEGORY

      Category which tells the BarcodeScanner service to start in caching mode
      See Also:
        Constant Field Values

    - #### DECODE_RESULTS_PERMISSION

          public static final java.lang.String DECODE_RESULTS_PERMISSION

      Permission to hold to be able to receive barcode results
      See Also:
        Constant Field Values

    - #### DECODE_RESULTS_ACTION

          public static final java.lang.String DECODE_RESULTS_ACTION

      Action fired when a barcode is scanned
      See Also:
        Constant Field Values

    - #### KEY_BARCODE_BITMAP

          public static final java.lang.String KEY_BARCODE_BITMAP

      If chosen to get the barcode bitmap, you can get it using with this keyword.
      See Also:
        Constant Field Values

    - #### STATUS_UNPREPARED

          public static final int STATUS_UNPREPARED

      The hardware is not prepared
      See Also:
        Constant Field Values

    - #### STATUS_PREPARED

          public static final int STATUS_PREPARED

      The hardware is prepared and running
      See Also:
        Constant Field Values

    - #### STATUS_SCANNING_SINGLE

          public static final int STATUS_SCANNING_SINGLE

      The decoding chain is started to scan a single barcode
      See Also:
        Constant Field Values

    - #### STATUS_SCANNING_MULTI

          public static final int STATUS_SCANNING_MULTI

      The decoding chain is started but the first scan do not stop the scanner
      See Also:
        Constant Field Values

    - #### DIRECT_INPUT

          public static final java.lang.String DIRECT_INPUT

      Action to use to start Direct input service (use startService() with this)
      See Also:
        Constant Field Values

    - #### KEY_SET_DIRECTINPUT_ENABLED

          public static final java.lang.String KEY_SET_DIRECTINPUT_ENABLED

      Use this key to force the status of DirectInput service (boolean)
      See Also:
        Constant Field Values

    - #### KEY_SET_DIRECTINPUT_SCREEN_ON_WARM_SCANNER

          public static final java.lang.String KEY_SET_DIRECTINPUT_SCREEN_ON_WARM_SCANNER

      Use this key to force the status of "Screen On warm scanner" (boolean)
      See Also:
        Constant Field Values

    - #### KEY_SET_DIRECTINPUT_SCAN_MULTIPLE

          public static final java.lang.String KEY_SET_DIRECTINPUT_SCAN_MULTIPLE

      Use this key to force the status of "Scan multiple barcodes" (boolean)
      See Also:
        Constant Field Values

    - #### KEY_SET_DIRECTINPUT_CENTERBTN_AS_SCANTRIG

          public static final java.lang.String KEY_SET_DIRECTINPUT_CENTERBTN_AS_SCANTRIG

      Use this key to force the status of "Center Button as Scan trigger" (boolean)
      See Also:
        Constant Field Values

    - #### KEY_SET_DIRECTINPUT_BEEP_ON_SCAN

          public static final java.lang.String KEY_SET_DIRECTINPUT_BEEP_ON_SCAN

      Use this key to force the status of "Beep on Scan" (boolean)
      See Also:
        Constant Field Values

    - #### KEY_SET_DIRECTINPUT_VIBRATE_ON_SCAN

          public static final java.lang.String KEY_SET_DIRECTINPUT_VIBRATE_ON_SCAN

      Use this key to force the status of "Vibrate on Scan" (boolean)
      See Also:
        Constant Field Values

    - #### KEY_SET_DIRECTINPUT_APPEND_ENTER_TO_TAGS

          public static final java.lang.String KEY_SET_DIRECTINPUT_APPEND_ENTER_TO_TAGS

      Use this key to force the status of "Append ENTER to tags" (boolean)
      See Also:
        Constant Field Values

    - #### KEY_SET_DIRECTINPUT_APPEND_TAB_TO_TAGS

          public static final java.lang.String KEY_SET_DIRECTINPUT_APPEND_TAB_TO_TAGS

      Use this key to force the status of "Send TAB keyevent" (boolean)
      See Also:
        Constant Field Values

    - #### KEY_SET_DIRECTINPUT_TAG_PREFIX

          public static final java.lang.String KEY_SET_DIRECTINPUT_TAG_PREFIX

      Use this key to force the Tag prefix String (String)
      See Also:
        Constant Field Values

    - #### KEY_SET_DIRECTINPUT_TAG_SUFFIX

          public static final java.lang.String KEY_SET_DIRECTINPUT_TAG_SUFFIX

      Use this key to force the Tag suffix String (String)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BarcodeScanner

          public BarcodeScanner()

  - ### Method Detail

    - #### directInputForceStatus

          public static void directInputForceStatus(Context ctx,
                                                    boolean enabled)

      Convenience method to Enable/Disable DirectInput functionality
      Parameters:
        `ctx` - Current context
        `enabled` -